##########################################################################
#
#  Maple TFL
#
#	 filename: debug.mpl
#  description: Debug routines, small testing suite
#
#  [to be included in tfl.mpl]
#	 
##########################################################################

assert := proc(expr)

  local exc;

    if nargs = 0
    then
      error "assert needs 1 parameter -- expression";
    end if; 

    if( not expr ) 
    then
      printf( "\nASSERTION ERROR");
      if nargs >= 2 
      then
        printf( ":%q", args[2..nargs]);
      end if;
      printf( "\n\n");
      `stop`(5); # won't work in GUI mode
    end if;

    NULL

end proc;


